function someQuadCos ()
  mInt = 100 ;
  xMin = -6 ;
  xMax = 6 ;
  x = linspace(xMin,xMax,mInt);
  y=zeros(1,mInt) ;
  a = 0.05 ; ##1./100 ;
  b = .005
  c = .01
  d = 1*(xMax-xMin)/2/pi ;
  for k=1:mInt
    y(k) = (a*x(k))^2 + b*x(k) + c*cos(d*x(k)) ;
  end

  %%figure('Position',[0,0,25,15]);

  plot(x,y, "linewidth", 2)

  ax = gca ();
  set (ax, "linewidth", 2 ) ;

  xlabel("x_2")
  ylabel("S")

  print ( 'tank1.svg', '-dsvg', '-landscape' )
  pause
endfunction
