
function tank_bisect ()
  xA = 1 ;
  xB = 5. ;

  eps = 1.e-3 ;

  n = 0 ;

  printf ( "%4s %7s %7s %7s %7s %7s %10s\n", 
           "iter", "xA", "xL", "xM", "xR", "xB", "fmin" ) ;

  do
    n++ ;

    fA = sTank(xA) ;
    fB = sTank(xB) ;


    xM = .5*(xA+xB) ;

    xL = .5*(xA+xM) ;
    xR = .5*(xM+xB) ;

    fL = sTank(xL) ;
    fM = sTank(xM) ;
    fR = sTank(xR) ;

    [fmin,imin] = min( [fA, fL, fM, fR, fB] ) ;

    n
    fA, fL, fM, fR, fB
    imin

    printf ( "%4i, %7.4f %7.4f %7.4f %7.4f %9.6f, %9.6f, %2i\n", 
             n, xA, xL, xM, xR, xB, fmin, imin ) ;


    if ( fmin == fA | fmin == fL ) 
      xB = xM ;
      xM = xL ;
    elseif ( fmin == fM )
      xA = xL ;
      xB = xR ;
    else
      xA = xM ;
      xM = xR ;
    endif

  until ( ( xB - xA ) < eps ) 

endfunction

function surface = sTank (x)
  vStar = 5 ;
  surface = 4*vStar/x + x^2 ;
endfunction

